### Method

# GLib MainContext is_owner

since: 2.10

#### Declaration

    gboolean
    g_main_context_is_owner (
      GMainContext* context
    )

#### Description

Determines whether this thread holds the (recursive) ownership of this `GMainContext`. This is useful to know before waiting on another thread that may be blocking to get ownership of `context`.

Available since: 2.10

#### Return value

Type: `gboolean`

`TRUE` if current thread is owner of `context`.